//*******************************************************
//* KDEF.H - primary DEFINITIONS header file for KLCC.	*
//* Copyright 2005 Everett Kaser						*
//* All rights reserved									*
//*******************************************************

#ifndef _KDEF_DEFINED	// don't include if already included before
#define	_KDEF_DEFINED

//***************************************
typedef	unsigned char	BYTE;
typedef	unsigned short	WORD;
typedef	unsigned long	DWORD;
typedef int				BOOL;

typedef DWORD			HANDLE;

typedef unsigned long	size_t;
typedef BYTE *			va_list;

#define NULL	((void *)0)
#define	FALSE	0
#define	TRUE	1

// To get the relative offset of a structure element within the structure:
#define offsetof(s,m)	(size_t)&(((s *)0)->m)

// Rounds sizeof(n) up to the next multiple of sizeof(int)
#define _INTSIZEOF(n)	( (sizeof(n) + sizeof(int) - 1) & ~(sizeof(int) - 1) )

// For variable length argument lists, as in printf()
#define va_start(ap,v)	( ap = (va_list)&v + _INTSIZEOF(v) )
#define va_arg(ap,t)	( *(t *)((ap += _INTSIZEOF(t)) - _INTSIZEOF(t)) )
#define va_end(ap)		( ap = (va_list)0 )

// test macros
#define max(a,b)    (((a) > (b)) ? (a) : (b))
#define min(a,b)    (((a) < (b)) ? (a) : (b))

#endif	//_KDEF_DEFINED
