#!/bin/sh

#
# This script will create a .zip archive containing the application and the Mac readme, ready for distribution
#

echo "Creating temporary folder..."
rm -rf "$BUILT_PRODUCTS_DIR/$PRODUCT_NAME"
mkdir "$BUILT_PRODUCTS_DIR/$PRODUCT_NAME"

echo "Copying application..."
ditto "$BUILT_PRODUCTS_DIR/$FULL_PRODUCT_NAME" "$BUILT_PRODUCTS_DIR/$PRODUCT_NAME/$FULL_PRODUCT_NAME"

echo "Copying readme..."
ditto "$PROJECT_DIR/Mac Read Me!.rtf" "$BUILT_PRODUCTS_DIR/$PRODUCT_NAME"

#echo "Creating disk image..."
#hdiutil create -imagekey zlib-level=9 -format UDZO -srcfolder "$BUILT_PRODUCTS_DIR/$PRODUCT_NAME" "$BUILT_PRODUCTS_DIR/$PRODUCT_NAME.dmg"

echo "Creating archive..."
mkdir "$BUILT_PRODUCTS_DIR/Archives"
rm -f "$BUILT_PRODUCTS_DIR/Archives/$PRODUCT_NAME.zip"
ditto -ckX --rsrc "$BUILT_PRODUCTS_DIR/$PRODUCT_NAME" "$BUILT_PRODUCTS_DIR/Archives/$PRODUCT_NAME.zip"

echo "Deleting temporary folder..."
rm -rf "$BUILT_PRODUCTS_DIR/$PRODUCT_NAME"

echo "Done."
